<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy Viewer.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_viewer_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">Viewer.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_viewer_8hpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef VIEWER_HPP</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define VIEWER_HPP</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &quot;<a class="code" href="_robot_model_8hpp.html">RobotModel.hpp</a>&quot;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="class_viewer.html">   23</a></span><span class="keyword">class </span><a class="code hl_class" href="class_viewer.html">Viewer</a> : <span class="keyword">public</span> QGLViewer</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>{</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="class_viewer.html#a0bc2785eddd4cae0d3dfcf4087e1ee84">   29</a></span>    <a class="code hl_class" href="class_robot_model.html">RobotModel</a> <a class="code hl_variable" href="class_viewer.html#a0bc2785eddd4cae0d3dfcf4087e1ee84">robot</a>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="class_viewer.html#ad9bcb555f66a790a392d2af4b4f7f1d6">   40</a></span>    <a class="code hl_function" href="class_viewer.html#ad9bcb555f66a790a392d2af4b4f7f1d6">Viewer</a>(QWidget *parent = <span class="keyword">nullptr</span>) : QGLViewer(parent) { setSceneRadius(25); }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="class_viewer.html#a37a4c731034836effceb714e30d12297">   52</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_viewer.html#a37a4c731034836effceb714e30d12297">moveRobot</a>(<span class="keywordtype">int</span> left, <span class="keywordtype">int</span> right, <span class="keywordtype">int</span> time_interval) { <a class="code hl_variable" href="class_viewer.html#a0bc2785eddd4cae0d3dfcf4087e1ee84">robot</a>.<a class="code hl_function" href="class_robot_model.html#a462c63bf18c587c8f6eb6459be6b6fbe">move</a>(left, right, time_interval); }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="class_viewer.html#a6a232130dc19f5204dc8c30a11fe9c56">   60</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_viewer.html#a6a232130dc19f5204dc8c30a11fe9c56">passMeasure</a>(<span class="keywordtype">int</span> new_measure, <span class="keywordtype">int</span> index) { <a class="code hl_variable" href="class_viewer.html#a0bc2785eddd4cae0d3dfcf4087e1ee84">robot</a>.<a class="code hl_function" href="class_robot_model.html#a134ea6dbabe4c3e668f5ac4a9ded970f">getMeasure</a>(new_measure, index); }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="class_viewer.html#a2996edb66665ac972e036ee6b55608da">   66</a></span>    <span class="keywordtype">double</span> <a class="code hl_function" href="class_viewer.html#a2996edb66665ac972e036ee6b55608da">returnRobotDistance</a>() { <span class="keywordflow">return</span> <a class="code hl_variable" href="class_viewer.html#a0bc2785eddd4cae0d3dfcf4087e1ee84">robot</a>.<a class="code hl_function" href="class_robot_model.html#a127d30bb649582d905960e7c144e9d58">returnRobotDistance</a>(); }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>  <span class="keyword">protected</span>:</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code hl_function" href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c">draw</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code hl_function" href="class_viewer.html#a49181937ba861bdc52eb2476007a2b0b">init</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>};</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="preprocessor">#endif </span><span class="comment">// VIEWER_HPP</span></div>
<div class="ttc" id="a_robot_model_8hpp_html"><div class="ttname"><a href="_robot_model_8hpp.html">RobotModel.hpp</a></div><div class="ttdoc">Definicja klasy RobotModel.</div></div>
<div class="ttc" id="aclass_robot_model_html"><div class="ttname"><a href="class_robot_model.html">RobotModel</a></div><div class="ttdoc">Trójwymiarowy model robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00069">RobotModel.hpp:70</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a127d30bb649582d905960e7c144e9d58"><div class="ttname"><a href="class_robot_model.html#a127d30bb649582d905960e7c144e9d58">RobotModel::returnRobotDistance</a></div><div class="ttdeci">double returnRobotDistance()</div><div class="ttdoc">Zwraca odległość przebytą przez robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00239">RobotModel.hpp:239</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a134ea6dbabe4c3e668f5ac4a9ded970f"><div class="ttname"><a href="class_robot_model.html#a134ea6dbabe4c3e668f5ac4a9ded970f">RobotModel::getMeasure</a></div><div class="ttdeci">void getMeasure(int new_measure, int index)</div><div class="ttdoc">Dodaje nowy pomiar z danego czujnika.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00233">RobotModel.hpp:233</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a462c63bf18c587c8f6eb6459be6b6fbe"><div class="ttname"><a href="class_robot_model.html#a462c63bf18c587c8f6eb6459be6b6fbe">RobotModel::move</a></div><div class="ttdeci">void move(int left_velocity, int right_velocity, int time_interval)</div><div class="ttdoc">Oblicza nowe położenie i orietnację robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00025">RobotModel.cpp:25</a></div></div>
<div class="ttc" id="aclass_viewer_html"><div class="ttname"><a href="class_viewer.html">Viewer</a></div><div class="ttdoc">Okno z modelami trójwymiarowymi.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8hpp_source.html#l00023">Viewer.hpp:24</a></div></div>
<div class="ttc" id="aclass_viewer_html_a0bc2785eddd4cae0d3dfcf4087e1ee84"><div class="ttname"><a href="class_viewer.html#a0bc2785eddd4cae0d3dfcf4087e1ee84">Viewer::robot</a></div><div class="ttdeci">RobotModel robot</div><div class="ttdoc">Trójwymiarowy model robota.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8hpp_source.html#l00029">Viewer.hpp:29</a></div></div>
<div class="ttc" id="aclass_viewer_html_a2996edb66665ac972e036ee6b55608da"><div class="ttname"><a href="class_viewer.html#a2996edb66665ac972e036ee6b55608da">Viewer::returnRobotDistance</a></div><div class="ttdeci">double returnRobotDistance()</div><div class="ttdoc">Zwraca odległość przebytą przez robota.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8hpp_source.html#l00066">Viewer.hpp:66</a></div></div>
<div class="ttc" id="aclass_viewer_html_a37a4c731034836effceb714e30d12297"><div class="ttname"><a href="class_viewer.html#a37a4c731034836effceb714e30d12297">Viewer::moveRobot</a></div><div class="ttdeci">void moveRobot(int left, int right, int time_interval)</div><div class="ttdoc">Przekazuje dane ruchu do modelu robota.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8hpp_source.html#l00052">Viewer.hpp:52</a></div></div>
<div class="ttc" id="aclass_viewer_html_a49181937ba861bdc52eb2476007a2b0b"><div class="ttname"><a href="class_viewer.html#a49181937ba861bdc52eb2476007a2b0b">Viewer::init</a></div><div class="ttdeci">virtual void init() override</div><div class="ttdoc">Funkcja inicjalizująca okno do wyświetlania grafiki.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8cpp_source.html#l00021">Viewer.cpp:21</a></div></div>
<div class="ttc" id="aclass_viewer_html_a6a232130dc19f5204dc8c30a11fe9c56"><div class="ttname"><a href="class_viewer.html#a6a232130dc19f5204dc8c30a11fe9c56">Viewer::passMeasure</a></div><div class="ttdeci">void passMeasure(int new_measure, int index)</div><div class="ttdoc">Przekazuje robotowi odczyt z danego czujnika.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8hpp_source.html#l00060">Viewer.hpp:60</a></div></div>
<div class="ttc" id="aclass_viewer_html_ad9bcb555f66a790a392d2af4b4f7f1d6"><div class="ttname"><a href="class_viewer.html#ad9bcb555f66a790a392d2af4b4f7f1d6">Viewer::Viewer</a></div><div class="ttdeci">Viewer(QWidget *parent=nullptr)</div><div class="ttdoc">Tworzy obiekt typu Viewer.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8hpp_source.html#l00040">Viewer.hpp:40</a></div></div>
<div class="ttc" id="aclass_viewer_html_adc56b61501489ecfdd2618218c128e8c"><div class="ttname"><a href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c">Viewer::draw</a></div><div class="ttdeci">virtual void draw() override</div><div class="ttdoc">Funkcja rysująca obiekty.</div><div class="ttdef"><b>Definition</b> <a href="_viewer_8cpp_source.html#l00014">Viewer.cpp:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_viewer_8hpp.html">Viewer.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
